-- 0 == > 50%, 1 == 25-50%, 2 == < 25%
local LastHealth = 0;

function LowHPAlert_OnUpdate()
    local hp = UnitHealth("player");

    local hpPct = hp / UnitHealthMax("player");
    
    if (hpPct > 0.5) then
    	LastHealth = 0;
	return;
    end
    
    if (hpPct > 0.25) then
    	if (LastHealth == 0) then
	    HealthMessageFrame:AddMessage("HP < 50%", 1, 1, 0, 1, 3);
	    PlaySound("igQuestFailed");
	end
    	LastHealth = 1;
	return;
    end
    
    -- HP < 25%
    if (LastHealth == 0 or LastHealth == 1) then
    	HealthMessageFrame:AddMessage("HP < 25%", 1, 0, 0, 1, 3);
	PlaySound("igQuestFailed");
    end
    LastHealth = 2;

end

function LowHPAlert_OnLoad()
    DEFAULT_CHAT_FRAME:AddMessage("Jibsy's Low HP Alert loaded.", r, g, b);
end

